<div class="row">
   <div class="col-md-12 col-xl-12 page-header-title">
    	<h4>{{ 'eim.sms_config.sms_config' | translate }}</h4>
    	<br/>
    	<br/>
	</div>
	<div class="col-md-12 col-xl-12">
		<div class="card card-border-primary"> 
		  	<div class="card-block row">
                <div class="col-md-12 col-xl-12 form-group">
                	<form [formGroup]="smsconfigform" (ngSubmit)="onSubmitSMSconfig()">
						<div class="col-md-12 col-xl-12 form-group row">
							<div class="col-lg-12 col-xl-12 form-group">
								<h5><strong>{{ 'eim.sms_config.header_sms_config' | translate }}</strong></h5>
								<hr/>
							</div>
							<div class="col-md-4 col-xl-4 form-group">
								<label class="col-form-label"><strong>{{ 'eim.sms_config.label_sms_config' | translate }}</strong></label>
								<select name="select" class="form-control" id="provider" formControlName="provider">
									<option value="">-- Select Provider --</option>
									<option value="opt1">Provider 1</option> 
									<option value="opt2">Provider 2</option> 
									<option value="opt3">Provider 3</option> 
									<option value="opt4">Provider 4</option> 
									<option value="opt5">Provider 5</option> 
								</select> 
							</div>
						</div>
						<br/>
						<div class="col-lg-12 col-xl-12 form-group row">
							<div class="col-lg-12 col-xl-12 form-group">
								<h5><strong>{{ 'eim.sms_config.header_provider' | translate }}</strong></h5>
								<hr/>
							</div>
							<div class="col-md-4 col-xl-4 form-group">
								<label class="col-form-label"><strong>{{ 'eim.sms_config.label_provider_1' | translate }}</strong></label>
								<input type="text" class="form-control" id="accountsid" placeholder="{{ 'eim.sms_config.label_provider_1' | translate }}" formControlName="accountsid">
								<br>
								<label class="col-form-label"><strong>{{ 'eim.sms_config.label_provider_4' | translate }}</strong></label>
								<input type="text" class="form-control" id="authtoken" placeholder="{{ 'eim.sms_config.label_provider_4' | translate }}" formControlName="authtoken">
								<br>
								<label class="col-form-label"><strong>{{ 'eim.sms_config.label_provider_7' | translate }}</strong></label>
								<input type="text" class="form-control" id="from" placeholder="{{ 'eim.sms_config.label_provider_7' | translate }}" formControlName="from">
							</div>
							<div class="col-md-4 col-xl-4 form-group">
								<label class="col-form-label"><strong>{{ 'eim.sms_config.label_provider_2' | translate }}</strong></label>
								<input type="text" class="form-control" id="accountsid2"  placeholder="{{ 'eim.sms_config.label_provider_2' | translate }}"formControlName="accountsid2">
								<br>
								<label class="col-form-label"><strong>{{ 'eim.sms_config.label_provider_5' | translate }}</strong></label>
								<input type="text" class="form-control" id="authtoken2" placeholder="{{ 'eim.sms_config.label_provider_5' | translate }}" formControlName="authtoken2">
								<br>
								<label class="col-form-label"><strong>{{ 'eim.sms_config.label_provider_8' | translate }}</strong></label>
								<input type="text" class="form-control" id="from2" placeholder="{{ 'eim.sms_config.label_provider_8' | translate }}" formControlName="from2">
							</div>
							<div class="col-md-4 col-xl-4 form-group">
								<label class="col-form-label"><strong>{{ 'eim.sms_config.label_provider_3' | translate }}</strong></label>
								<input type="text" class="form-control" id="hosturl" placeholder="{{ 'eim.sms_config.label_provider_3' | translate }}" formControlName="hosturl">
								<br>
								<label class="col-form-label"><strong>{{ 'eim.sms_config.label_provider_6' | translate }}</strong></label>
								<input type="text" class="form-control" id="headercontenttype" placeholder="{{ 'eim.sms_config.label_provider_6' | translate }}" formControlName="headercontenttype">
								<br>
								<label class="col-form-label"><strong>{{ 'eim.sms_config.label_provider_9' | translate }}</strong></label>
								<input type="text" class="form-control" id="maxcharlimit" placeholder="{{ 'eim.sms_config.label_provider_9' | translate }}" formControlName="maxcharlimit">
							</div>
						</div>
						<div class="col-lg-12 col-xl-12 form-group row">
							<div class="col-lg-12 col-xl-12 form-group">
								<div class="checkbox-fade fade-in-primary">
									<label>
									<input type="checkbox" value="">
									<span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
									<span class="text-inverse">{{ 'eim.sms_config.chck_provider_1' | translate }}</span>
									</label>
								</div>
							</div>
						</div>
						<div class="col-lg-12 col-xl-12 form-group row">
							<div class="col-md-4 col-xl-10 form-group"></div>
							<div class="col-md-4 col-xl-2 form-group">
								<button type="submit" [disabled]="!smsconfigform.valid" (click)="openSuccessSwalSMSconfig()" class="btn btn-success btn-md btn-block waves-effect text-center m-b-20"><i class="icofont icofont-save"></i> {{ 'general.btn_save' | translate }}</button>
							</div>
						</div>
					</form>
                </div>
		  	</div>
		</div>
	</div>


</div>

   

